<template>
  <el-config-provider :locale="locale === 'zh' ? zhCnEl : enUsEl">
    <!-- <keep-alive :include="cachedViews">
      <router-view />
    </keep-alive> -->
    <router-view />
  </el-config-provider>
</template>

<script setup>
import { ElConfigProvider } from "element-plus";
import zhCnEl from "element-plus/es/locale/lang/zh-cn";
import enUsEl from "element-plus/es/locale/lang/en";
import { useI18n } from "vue-i18n"; //要在js中使用国际化
const { locale } = useI18n();
import useSettingsStore from "@/store/modules/settings";
import { handleThemeStyle } from "@/utils/theme";
const route = useRoute();
const router = useRouter();
const cachedViews = computed(() => {
  console.log(router.getRoutes(),"router.getRoutes()")
  return router
    .getRoutes() // 获取所有路由
    .filter((r) => r.meta && r.meta.keepAlive) // 过滤出需要缓存的路由
    .map((r) => r.name); // 获取路由名称作为缓存键值
});
onMounted(() => {
  nextTick(() => {
    // 初始化主题样式
    handleThemeStyle(useSettingsStore().theme);
  });
});
</script>
